Gentoo Archives: gentoo-commits

From: Sebastien Fabbro <bicatali@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/boto/
Date: Mon, 31 Jul 2017 18:12:51
Message-Id: 1501524717.32d27440060689a2ae978a9318e5659222ea53d8.bicatali@gentoo
commit:     32d27440060689a2ae978a9318e5659222ea53d8
Author:     S├ębastien Fabbro <bicatali <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 29 20:03:14 2017 +0000
Commit:     Sebastien Fabbro <bicatali <AT> gentoo <DOT> org>
CommitDate: Mon Jul 31 18:11:57 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32d27440

dev-python/boto: version bump

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 dev-python/boto/Manifest           |  1 +
 dev-python/boto/boto-2.48.0.ebuild | 55 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/boto/Manifest b/dev-python/boto/Manifest
index d7258c7d5be..f0997a4f0b9 100644
--- a/dev-python/boto/Manifest
+++ b/dev-python/boto/Manifest
@@ -1,3 +1,4 @@
 DIST boto-2.38.0.tar.gz 1423863 SHA256 d9083f91e21df850c813b38358dc83df16d7f253180a1344ecfedce24213ecf2 SHA512 577672007348db846d041c0906806c62eb77653b1335645cc852c603f5d32991ca648aacb884676af02043914c91ab6f41666b36b5b1ae23a3a354bdf9f3f75a WHIRLPOOL de704484ed38a0d0322ef289fd0657b6d1141c0f77aa6725e338dd51d78bed39a7ef1ebdec54a659d83dae30c14196f2410507d9aeec070126bbe13565b210ba
 DIST boto-2.41.0.tar.gz 1440323 SHA256 c638acdecb0a2383b517c15ac2a6ccf15a2f806aee923cc4448a59b9b73b52e0 SHA512 ffb503e8f7ec84ec973e109ae9524e1db2ef5f34d9424c380eed9a85871f07f8c9c798ca358fefd772ff45a72226bb02eebbbf6ab2d56b2442c41ede736f6f5e WHIRLPOOL b87f8af16224187b1b9fd294491f2bd1b9222d32e1718fdedeb5d3efb6cc89f24de9984481597cb6317d90ff70a2f984ddb67f57b86fad8c7eb1410f9e41b70d
 DIST boto-2.42.0.tar.gz 1442326 SHA256 dcf140d4ce535bb8f5266d1750c16def4d50f6c46eff27fab38b55d0d74d5ac7 SHA512 5f45d56ef0d5b64f1f585f4d144cafd1bd2b05f1b0ec02748c27057f91ed9d94228ea2c24f4f081d4424285eecd1b749ca65952e769c4e94db0b944d79670076 WHIRLPOOL e81a77d5c4891eec1ce980fdf599433cc6866e3aaccf1eaf59e13843559dd29c9bcd6c83090361f1e89698e9a6f8d33fe0da71dd816bf318dc54860ac6e60252
+DIST boto-2.48.0.tar.gz 1461372 SHA256 deb8925b734b109679e3de65856018996338758f4b916ff4fe7bb62b6d7000d1 SHA512 ce8e302b059ef31e81078ef21999b96b8770d2ef0c70358624c8cc6a79b1a43a78e1c206cbcba50eafb9c964c4eda5b9b0b127ea9523dcf7438453b4b2293f9f WHIRLPOOL 1ce451f75ae68b9c2fd7c0687c2f35aba369db3c4d4d0c7c51f4da6fdd239e41831f669a8303359df5c435d95d048e8cfdb2f53c82f593dc0267530b3f96cb1a

diff --git a/dev-python/boto/boto-2.48.0.ebuild b/dev-python/boto/boto-2.48.0.ebuild
new file mode 100644
index 00000000000..9ba557074b5
--- /dev/null
+++ b/dev-python/boto/boto-2.48.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit distutils-r1
+
+DESCRIPTION="Amazon Web Services API"
+HOMEPAGE="https://github.com/boto/boto https://pypi.python.org/pypi/boto"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="doc test"
+
+REQUIRED_USE="doc? ( || ( $(python_gen_useflags 'python2*') ) )"
+
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( dev-python/nose[${PYTHON_USEDEP}] )
+	doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+# requires Amazon Web Services keys to pass some tests
+RESTRICT="test"
+
+pkg_setup() {
+	use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( 'python2*' )
+}
+
+python_test() {
+	"${PYTHON}" tests/test.py -v || die "Tests fail with ${EPYTHON}"
+}
+
+python_prepare_all() {
+	# Prevent un-needed d'loading
+	sed -e "s/, 'sphinx.ext.intersphinx'//" -i docs/source/conf.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	if use doc; then
+		# Appease the doc build and supply a file for _static
+		# the usual emake -C docs doesn't work under this authorship
+		cd docs && mkdir source/_static  || die
+		emake html
+	fi
+}
+
+python_install_all() {
+	use doc && local HTML_DOCS=( docs/build/html/. )
+	distutils-r1_python_install_all
+}